Skip to content

List the projects of a merchant

GET
/v1/admin/merchants/{merchant_id}/projects/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant.

Formatuuid

Response Body

The projects.

application/json
  1. response
[index: integer]?
curl -X GET 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/' \  --user "$API_KEY:"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea",    "created": "2019-08-24T14:15:22Z",    "modified": "2019-08-24T14:15:22Z",    "apikey": "string",    "status": "active-testing",    "trade_name": "Acme Coffee",    "description": "Acme Coffee webshop",    "external_project_id": "string",    "website_url": "http://example.com",    "webhook_url": "http://example.com",    "terms_and_conditions_url": "http://example.com",    "locale": "string",    "timezone": "string",    "mcc": "5814",    "acceptor_id": "string",    "ip_whitelist": [      "string"    ],    "fraud_prevention_integration": "cybersource",    "fraud_prevention_risk_profile": "string",    "permissions": {      "property1": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      },      "property2": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      }    },    "contracts": {      "property1": {        "fields": {          "boarding_mode": "disabled",          "boarding_status": "string",          "merchant_key": "string",          "currencies": [            "EUR",            "USD"          ],          "dynamic_3ds_rules": [            {              "name": "string",              "conditions": [                {                  "field": "card_issuing_country",                  "operator": "in",                  "value": [                    "st"                  ]                }              ],              "action": {                "request_3ds": "always"              },              "enabled": true            }          ],          "schemes": {            "visa": {              "charge_type": "charge",              "acceptor_key": "string",              "bin_key": "string",              "mid": "string",              "boarding_status": "string",              "scheme_transaction_type": "string",              "funding_type": "string",              "sender_is_receiver": false,              "receiver_first_name": "string",              "receiver_last_name": "string",              "receiver_account_number": "string",              "receiver_account_number_type": "card-account",              "purpose_of_payment": "string"            },            "mastercard": {              "charge_type": "charge",              "acceptor_key": "string",              "bin_key": "string",              "mid": "string",              "boarding_status": "string",              "scheme_transaction_type": "string",              "funding_type": "string",              "sender_is_receiver": false,              "receiver_first_name": "string",              "receiver_last_name": "string",              "receiver_account_number": "string",              "receiver_account_number_type": "card-account",              "purpose_of_payment": "string"            },            "bancontact": {              "charge_type": "charge",              "acceptor_key": "string",              "bin_key": "string",              "mid": "string",              "boarding_status": "string",              "scheme_transaction_type": "string",              "funding_type": "string",              "sender_is_receiver": false,              "receiver_first_name": "string",              "receiver_last_name": "string",              "receiver_account_number": "string",              "receiver_account_number_type": "card-account",              "purpose_of_payment": "string"            }          },          "begin_date": "2026-11-01",          "end_date": "string",          "funding_delay": 0,          "manual_capture_enabled": true,          "delayed_capture_enabled": true        }      },      "property2": {        "fields": {          "boarding_mode": "disabled",          "boarding_status": "string",          "merchant_key": "string",          "currencies": [            "EUR",            "USD"          ],          "dynamic_3ds_rules": [            {              "name": "string",              "conditions": [                {                  "field": "card_issuing_country",                  "operator": "in",                  "value": [                    "st"                  ]                }              ],              "action": {                "request_3ds": "always"              },              "enabled": true            }          ],          "schemes": {            "visa": {              "charge_type": "charge",              "acceptor_key": "string",              "bin_key": "string",              "mid": "string",              "boarding_status": "string",              "scheme_transaction_type": "string",              "funding_type": "string",              "sender_is_receiver": false,              "receiver_first_name": "string",              "receiver_last_name": "string",              "receiver_account_number": "string",              "receiver_account_number_type": "card-account",              "purpose_of_payment": "string"            },            "mastercard": {              "charge_type": "charge",              "acceptor_key": "string",              "bin_key": "string",              "mid": "string",              "boarding_status": "string",              "scheme_transaction_type": "string",              "funding_type": "string",              "sender_is_receiver": false,              "receiver_first_name": "string",              "receiver_last_name": "string",              "receiver_account_number": "string",              "receiver_account_number_type": "card-account",              "purpose_of_payment": "string"            },            "bancontact": {              "charge_type": "charge",              "acceptor_key": "string",              "bin_key": "string",              "mid": "string",              "boarding_status": "string",              "scheme_transaction_type": "string",              "funding_type": "string",              "sender_is_receiver": false,              "receiver_first_name": "string",              "receiver_last_name": "string",              "receiver_account_number": "string",              "receiver_account_number_type": "card-account",              "purpose_of_payment": "string"            }          },          "begin_date": "2026-11-01",          "end_date": "string",          "funding_delay": 0,          "manual_capture_enabled": true,          "delayed_capture_enabled": true        }      }    },    "settings": {      "payment_methods": {        "property1": {          "enabled_by_merchant": true,          "disabled_brands": [            "amex"          ]        },        "property2": {          "enabled_by_merchant": true,          "disabled_brands": [            "amex"          ]        }      },      "hosted-payment-page": {        "default": {          "hide_header": true,          "header_background_color": "string",          "header_font_color": "string",          "sidebar_background_color": "string",          "sidebar_font_color": "string",          "payment_button_background_color": "string",          "payment_button_font_color": "string",          "return_button_font_color": "string",          "language_selector_font_color": "string",          "logo_image_url": "http://example.com",          "background_image_url": "http://example.com"        },        "preview": {          "hide_header": true,          "header_background_color": "string",          "header_font_color": "string",          "sidebar_background_color": "string",          "sidebar_font_color": "string",          "payment_button_background_color": "string",          "payment_button_font_color": "string",          "return_button_font_color": "string",          "language_selector_font_color": "string",          "logo_image_url": "http://example.com",          "background_image_url": "http://example.com"        },        "payment_method_order": [          "string"        ]      }    }  }]